package cn.com.poc.long_document.dto;

/**
 * @author alex.yao
 * @date 2025/6/3
 */
public class LongTextDialoguesCallDto {

    /**
     * 对话id
     */
    private String dialoguesId;

    /**
     * 文件地址
     */
    private String fileUrl;

    /**
     * 输入内容
     */
    private String input;

    /**
     * 知识库id
     */
    private Integer[] knowledgeIds;


    /**
     * 是否启用搜索引擎
     */
    private boolean enableSearchEngine;

    /**
     * 是否开启深度思考
     */
    private boolean enableDeepThinking;

    public boolean getEnableSearchEngine() {
        return enableSearchEngine;
    }

    public void setEnableSearchEngine(boolean enableSearchEngine) {
        this.enableSearchEngine = enableSearchEngine;
    }

    public boolean getEnableDeepThinking() {
        return enableDeepThinking;
    }

    public void setEnableDeepThinking(boolean enableDeepThinking) {
        this.enableDeepThinking = enableDeepThinking;
    }

    public String getDialoguesId() {
        return dialoguesId;
    }

    public void setDialoguesId(String dialoguesId) {
        this.dialoguesId = dialoguesId;
    }

    public String getFileUrl() {
        return fileUrl;
    }

    public void setFileUrl(String fileUrl) {
        this.fileUrl = fileUrl;
    }

    public String getInput() {
        return input;
    }

    public void setInput(String input) {
        this.input = input;
    }

    public Integer[] getKnowledgeIds() {
        return knowledgeIds;
    }

    public void setKnowledgeIds(Integer[] knowledgeIds) {
        this.knowledgeIds = knowledgeIds;
    }
}
